cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Intuit
2 helpful votes

System requirements for QuickBooks Desktop for Mac

Learn the necessary system requirements before installing your QuickBooks Desktop for Mac.

2019

System requirements:

  • At least Mac OS X v10.12 (Sierra); Supported by Mac OS X v10.14 (Mojave), 10.13 (High Sierra)
  • CD/DVD drive or Internet connection for downloaded installation
  • Intel Processor - Core 2 Duo or higher
  • Multi - user Server - Intel Core 2 Duo or higher processor to run server
  • 2 GB RAM (4 GB RAM recommended)
  • 250 MB of available disk space
  • Product registration required

Integration/compatibility requirements:

  • Export report data - Apple Numbers v3.5, Microsoft Excel 2016, or Mac Office365
  • Email forms QuickBooks (ex. invoices and sales receipts) - Apple Mail, Microsoft Outlook 2016, or Mac Office365
  • Printer - 100% Macintosh - compatible printer if you plan to print checks, deposit slips, lists, purchase orders, mailing labels, reports or graphs
  • Checks - Use Intuit Checks if you plan to print checks. Canadian Image Ready Checks are not supported
  • Imports - from QuickBooks for Windows 2016 and 2018
  • Exports - to QuickBooks for Windows 2019

2016

Minimum system requirements:

  • QuickBooks for Mac 2016 R5 or earlier - Mac OS10.10.2 (Yosemite), Mac OS 10.11 (El Capitan)
  • QuickBooks for Mac 206 R6 or later - Mac OS X v10.14 (Mojave), 10.13 (High Sierra), Mac OS 10.11 (El Capitan), and Mac OS X v10.12 (Sierra)
  • Intel Processor - Core 2 Duo or higher
  • Multi - user Server - Intel Core 2 Duo or higher processor to run server
  • 2 GB RAM (4 GB RAM recommended)
  • 250 MB of available disk space
  • CD/DVD drive (or Internet connection for installation)
  • Printer - 100% Macintosh - compatible printer if you plan to print invoices, checks, deposit slips, lists, purchase orders, mailing labels, reports or graphs
  • Checks - Use Intuit Checks if you plan to print checks. Canadian Image Ready Checks are not supported
  • Product registration required

Was this helpful?

You must sign in to vote, reply, or post

Need to get in touch?

Contact us